# Uses of Class
org.apache.sling.installer.api.UpdateResult

Packages that use UpdateResult
Package
Description
org.apache.sling.installer.api

## Uses of UpdateResult in org.apache.sling.installer.api

Methods in org.apache.sling.installer.api that return UpdateResult
Modifier and Type
Method
Description
`UpdateResult`
UpdateHandler.`handleRemoval(String resourceType, String id, String url)`
Handle the remove of a resource
`UpdateResult`
UpdateHandler.`handleUpdate(String resourceType, String id, String url, InputStream is, Map<String,Object> attributes)`
Handle the update of a resource
`UpdateResult`
UpdateHandler.`handleUpdate(String resourceType, String id, String url, Dictionary<String,Object> dict, Map<String,Object> attributes)`
Handle the update of a resource